﻿@model HOD.Models.RegisterExternalLoginModel
@{
    ViewBag.Title = "Register";
}

<hgroup class="title">
    <h1>@ViewBag.Title.</h1>
    <h2>Associate your @ViewBag.ProviderDisplayName account.</h2>
</hgroup>

@using (Html.BeginForm("ExternalLoginConfirmation", "Account", new { ReturnUrl = ViewBag.ReturnUrl })) {
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Association Form</legend>
        <p>
            You've successfully authenticated with <strong>@ViewBag.ProviderDisplayName</strong>.
            Please enter a user name for this site below and click the Confirm button to finish
            logging in.
        </p>
        <ol>
            <li class="name">
                @Html.LabelFor(m => m.UserName)
                @Html.TextBoxFor(m => m.UserName)
                @Html.ValidationMessageFor(m => m.UserName)
            </li>
            @*<li class="name">
                @Html.LabelFor(m => m.FirstName)
                @Html.TextBoxFor(m => m.FirstName)
                @Html.ValidationMessageFor(m => m.FirstName)
            </li>

            <li class="name">
                @Html.LabelFor(m => m.LastName)
                @Html.TextBoxFor(m => m.LastName)
                @Html.ValidationMessageFor(m => m.LastName)
            </li>*@


        </ol>
        @Html.HiddenFor(m => m.ExternalLoginData)
        <input type="submit" value="Register"  class="btn btn-primary btn-lg"/>
    </fieldset>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
